Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class CheckboxMenuItem.AccessibleAWTCheckboxMenuItem

    java.lang.Object
      javax.accessibility.AccessibleContext
          java.awt.MenuComponent.AccessibleAWTMenuComponent
              java.awt.MenuItem.AccessibleAWTMenuItem
                  java.awt.CheckboxMenuItem.AccessibleAWTCheckboxMenuItem

All Implemented Interfaces:
  Serializable, AccessibleAction, AccessibleComponent, AccessibleSelection, AccessibleValue

Enclosing class:
  CheckboxMenuItem

    protected class CheckboxMenuItem.AccessibleAWTCheckboxMenuItem

extends MenuItem.AccessibleAWTMenuItem
implements AccessibleAction, AccessibleValue

Inner class of CheckboxMenuItem used to provide default support for accessibility. This class is not meant to be used directly by application developers, but is instead meant only to be subclassed by menu component developers.

This class implements accessibility support for the `CheckboxMenuItem` class. It provides an implementation of the Java Accessibility API appropriate to checkbox menu item user-interface elements.

Since:
  1.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Fields inherited from interface javax.accessibility.AccessibleAction
`CLICK, DECREMENT, INCREMENT, TOGGLE_EXPAND, TOGGLE_POPUP`

Constructor Summary
`protected` | `CheckboxMenuItem.AccessibleAWTCheckboxMenuItem()`

Method Summary
`boolean` | `doAccessibleAction(int i)` Perform the specified Action on the object
`AccessibleAction` | `getAccessibleAction()` Get the AccessibleAction associated with this object.
`int` | `getAccessibleActionCount()` Returns the number of Actions available in this object.
`String` | `getAccessibleActionDescription(int i)` Return a description of the specified action of the object.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleValue` | `getAccessibleValue()` Get the AccessibleValue associated with this object.
`Number` | `getCurrentAccessibleValue()` Get the value of this object as a Number.
`Number` | `getMaximumAccessibleValue()` Get the maximum value of this object as a Number.
`Number` | `getMinimumAccessibleValue()` Get the minimum value of this object as a Number.
`boolean` | `setCurrentAccessibleValue(Number n)` Set the value of this object as a Number.

Methods inherited from class java.awt.MenuItem.AccessibleAWTMenuItem
`getAccessibleName`

Methods inherited from class java.awt.MenuComponent.AccessibleAWTMenuComponent
`addAccessibleSelection, addFocusListener, clearAccessibleSelection, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleParent, getAccessibleSelection, getAccessibleSelection, getAccessibleSelectionCount, getAccessibleStateSet, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isAccessibleChildSelected, isEnabled, isFocusTraversable, isShowing, isVisible, removeAccessibleSelection, removeFocusListener, requestFocus, selectAllAccessibleSelection, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`addPropertyChangeListener, firePropertyChange, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleTable, getAccessibleText, removePropertyChangeListener, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckboxMenuItem.AccessibleAWTCheckboxMenuItem

    protected CheckboxMenuItem.AccessibleAWTCheckboxMenuItem()

Method Detail

### getAccessibleAction

    public AccessibleAction getAccessibleAction()

  Get the AccessibleAction associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the AccessibleAction interface on behalf of itself.

  Overrides:
    `getAccessibleAction` in class `MenuItem.AccessibleAWTMenuItem`
  Returns:
    this object
  See Also:
    `AccessibleAction`

### getAccessibleValue

    public AccessibleValue getAccessibleValue()

  Get the AccessibleValue associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the AccessibleValue interface on behalf of itself.

  Overrides:
    `getAccessibleValue` in class `MenuItem.AccessibleAWTMenuItem`
  Returns:
    this object
  See Also:
    `AccessibleValue`

### getAccessibleActionCount

    public int getAccessibleActionCount()

  Returns the number of Actions available in this object. If there is more than one, the first one is the "default" action.

  Specified by:
    `getAccessibleActionCount` in interface `AccessibleAction`
  Overrides:
    `getAccessibleActionCount` in class `MenuItem.AccessibleAWTMenuItem`
  Returns:
    the number of Actions in this object

### getAccessibleActionDescription

    public String getAccessibleActionDescription(int i)

  Return a description of the specified action of the object.

  Specified by:
    `getAccessibleActionDescription` in interface `AccessibleAction`
  Overrides:
    `getAccessibleActionDescription` in class `MenuItem.AccessibleAWTMenuItem`
  Parameters:
    `i` - zero-based index of the actions
  Returns:
    a String description of the action
  See Also:
    `AccessibleAction.getAccessibleActionCount()`

### doAccessibleAction

    public boolean doAccessibleAction(int i)

  Perform the specified Action on the object

  Specified by:
    `doAccessibleAction` in interface `AccessibleAction`
  Overrides:
    `doAccessibleAction` in class `MenuItem.AccessibleAWTMenuItem`
  Parameters:
    `i` - zero-based index of actions
  Returns:
    true if the action was performed; otherwise false.
  See Also:
    `AccessibleAction.getAccessibleActionCount()`

### getCurrentAccessibleValue

    public Number getCurrentAccessibleValue()

  Get the value of this object as a Number. If the value has not been set, the return value will be null.

  Specified by:
    `getCurrentAccessibleValue` in interface `AccessibleValue`
  Overrides:
    `getCurrentAccessibleValue` in class `MenuItem.AccessibleAWTMenuItem`
  Returns:
    value of the object
  See Also:
    `setCurrentAccessibleValue(java.lang.Number)`

### setCurrentAccessibleValue

    public boolean setCurrentAccessibleValue(Number n)

  Set the value of this object as a Number.

  Specified by:
    `setCurrentAccessibleValue` in interface `AccessibleValue`
  Overrides:
    `setCurrentAccessibleValue` in class `MenuItem.AccessibleAWTMenuItem`
  Returns:
    true if the value was set; otherwise false
  See Also:
    `getCurrentAccessibleValue()`

### getMinimumAccessibleValue

    public Number getMinimumAccessibleValue()

  Get the minimum value of this object as a Number.

  Specified by:
    `getMinimumAccessibleValue` in interface `AccessibleValue`
  Overrides:
    `getMinimumAccessibleValue` in class `MenuItem.AccessibleAWTMenuItem`
  Returns:
    Minimum value of the object; null if this object does not have a minimum value
  See Also:
    `getMaximumAccessibleValue()`

### getMaximumAccessibleValue

    public Number getMaximumAccessibleValue()

  Get the maximum value of this object as a Number.

  Specified by:
    `getMaximumAccessibleValue` in interface `AccessibleValue`
  Overrides:
    `getMaximumAccessibleValue` in class `MenuItem.AccessibleAWTMenuItem`
  Returns:
    Maximum value of the object; null if this object does not have a maximum value
  See Also:
    `getMinimumAccessibleValue()`

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.

  Overrides:
    `getAccessibleRole` in class `MenuItem.AccessibleAWTMenuItem`
  Returns:
    an instance of AccessibleRole describing the role of the object
  See Also:
    `AccessibleRole`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.